Page MenuHomePhabricator

Add a DNS alias for the wikilabels database (wikilabels.db.svc.eqiad.wmflabs)
Closed, ResolvedPublic

Description

In order to help keep config sane if we move or create redundancy for this database in the future, I'm proposing creating wikilabels.db.svc.eqiad.wmflabs similar to the address for toolsdb to help facilitate that.

We'd want to update apps that connect to the server as well, thus the ticket to help with coordination once the DNS alias is created.

Event Timeline

Bstorm created this task.Mar 28 2019, 9:08 PM
Bstorm triaged this task as Normal priority.
Bstorm added a project: Data-Services.
Bstorm removed Halfak as the assignee of this task.

I'm all for it. We have something similar for ores redis backend.

Cool :) Is anyone at Wikilabels using the pgsql.eqiad.wmnet DNS? I see that points at labsdb1004.

I don't believe we were ever using that.

Good, I'll remove that...carefully.

Change 500855 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] clouddb: add DNS alias for wikilabels.db.svc.eqiad.wmflabs

https://gerrit.wikimedia.org/r/500855

Change 500855 merged by Bstorm:
[operations/puppet@production] clouddb: add DNS alias for wikilabels.db.svc.eqiad.wmflabs

https://gerrit.wikimedia.org/r/500855

@Halfak, I've set up the alias. So you should be able to connect to wikilabels.db.svc.eqiad.wmflabs instead (which is pointed at clouddb1002). This will hopefully make life a tad easier in the future.

Change 500928 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[operations/puppet@production] wikilabels: update alias for database

https://gerrit.wikimedia.org/r/500928

Change 500928 merged by Bstorm:
[operations/puppet@production] wikilabels: update alias for database

https://gerrit.wikimedia.org/r/500928

Halfak added a comment.Apr 3 2019, 7:41 PM

^ Changes our config to use the new DNS alias.

Halfak claimed this task.Apr 4 2019, 4:03 PM
Halfak moved this task from Review to Pending deployment on the Scoring-platform-team (Current) board.
Halfak moved this task from Pending deployment to Done on the Scoring-platform-team (Current) board.
Ladsgroup closed this task as Resolved.Apr 17 2019, 6:27 PM